KOPANO-ICAL(8)

NAME
kopano-ical - Start the Kopano ICal/CalDAV gateway.

SYNOPSIS

kopano-ical [OPTION...]

DESCRIPTION

The iCal/CalDAV gateway enables users to retrieve their calendar using iCalendar compliant clients. The iCal/CalDAV gateway can be configured to listen for HTTP and HTTPS requests.

The default settings of the gateway program are defined in kopano-ical.cfg(5).

OPTIONS

Various options are possible. None of these options are required.

--config, -c ical.cfg
    Specify the location of the ical.cfg file. If the ical.cfg file is not specified, the gateway will continue using its default settings.

    Default: /etc/kopano/ical.cfg

--dump-config
    Displays the values of gateway.cfg configuration parameters and the implied defaults.

--help, -h
    Shows the help message of the iCal/CalDAV gateway.

SIGNALS

The following signals can be sent to the kopano-ical process:

HUP
    When the HUP signal is received, some options from the configuration file are reloaded. The reloadable options are listed in the kopano-ical.cfg(5) manual page.

    Also, when using log_method = file, the logfile will be closed and a new logfile will be opened. You can use this signal in your logrotate system.

TERM
    To gracefully let the service exit, the normal TERM signal is used.

SEE ALSO

kopano-ical.cfg(5), kopano-server(8)